See Stacksync in action with a solution architect. Book a demo ↗
API proxies

API proxies

List API proxies

GET
/v1/workspaces/{workspace_id}/api-proxy

The API proxies of the workspace in one region that the caller may see (created by them, or shared), newest first.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

Query Parameters

region*Regions

Region of the resource: besg (Europe) or usnv (United States), as GET /v1/regions lists them

Value in"besg""usnv"
name?|

Only the API proxies with exactly this name

Defaultnull

Response Body

OK

application/json
  1. response
api_proxy_services*array<>
List API proxies
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/api-proxy?region=besg'
{  "api_proxy_services": [    {      "connection_id": "<connection_id>",      "api_proxy_id": "<api_proxy_id>",      "api_proxy_name": "<api_proxy_name>",      "api_proxy_resource_id": "<api_proxy_resource_id>",      "app_type": "<app_type>",      "connection_name": "<connection_name>",      "is_shared_with_workspace": false,      "max_objects_per_request": 0,      "parent_folder_id": "<parent_folder_id>",      "created_by": 0,      "created_time": "<created_time>",      "last_modified_by": 0,      "last_modified_time": "<last_modified_time>",      "region": "besg"    }  ]}